import 'package:flutter/material.dart';

class MagicDialog {
  static Future showMagicDialog({
    @required BuildContext context,
    @required String message,
    @required String closeMessage,
  }) {
    return showDialog(
        context: context,
        builder: (context) {
          return AlertDialog(
            shape: RoundedRectangleBorder(
              borderRadius: BorderRadius.all(Radius.circular(15)),
            ),
            content: Column(
              mainAxisSize: MainAxisSize.min,
              children: <Widget>[
                Text(message),
                MaterialButton(
                  color: Colors.white30,
                  child: Text(closeMessage),
                  onPressed: () {
                    Navigator.of(context).pop();
                  },
                )
              ],
            ),
            elevation: 10,
          );
        });
  }
}
